Wednesday, 13 February 2008

Nhibernate 1.2.1 with ActiveRecord RC3?

As has been pointed out elsewhere, ActiveRecord RC3 was compiled against NHibernate 1.2.

I can confirm from personal experience that it isn't a great idea to try and swap in NHibernate 1.2.1 and assume everything will continue to function.

While it is true that you can using binding redirects to get most of the way there, dont' forget that some tools like FxCop don't respect these.

  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="NHibernate" publicKeyToken="aa95f207798dfdb4" culture="neutral" />
        <bindingRedirect oldVersion="1.2.0.4000" newVersion="1.2.1.4000" />
      </dependentAssembly>
      
    </assemblyBinding>
  </runtime>

1 comment:

Anonymous said...

Your advise was very useful to me, David.

Thanks!!!.

Best regards from Spain.

:-)